<script>
	import {uuid} from '@/utils/jsUtils.js'
	import { reportHeartbeatApi,reportClickApi } from '@/API/report.js'
	export default {
		globalData: {
			
		},
		onLaunch: function() {
			// console.log("我加载咯")
			// // 获取当前app的版本
			// const systemInfo = uni.getSystemInfoSync();
			// // 应用程序版本号
			// // 条件编译，只在H5渲染
			// // #ifdef H5
			// console.log(systemInfo.appVersion,'版本号');
			// // #endif
			// console.log(systemInfo.appVersion,'版本号');
			// let version = systemInfo.appVersion ? systemInfo.appVersion : '0.0.1'
			uni.setStorageSync('activityShow', false)
			uni.setStorageSync('firstTime', false),//是否第一次打开
			reportHeartbeatApi().then(res => {})
			setInterval(() => {
				reportHeartbeatApi().then(res => {
					console.log("我是三十秒的定时器被调用了:",res)
				})
			},30000)
		},
		onShow: function() {
			// console.log('App Show')
			uni.setStorageSync('ad','frist')
		},
		onHide: function() {
			// console.log('App Hide')
			// uni.removeStorageSync('ad')
			uni.setStorageSync('ad','frist')
			uni.removeStorageSync('activityShow')
		},
		onUnload:function() {
			uni.setStorageSync('ad','frist')
		}
	}
</script>

<style>
	/*每个页面公共css */
	/* #ifndef APP-NVUE */
	@import url("static/app.css");
	/* #endif */
	@font-face {
		font-family: YouSheBiaoTiHei; 
		src: url('https://box-mall.oss-cn-hangzhou.aliyuncs.com/static/font/YouSheBiaoTiHei.ttf');
	}
	@font-face {
		font-family: Zhxs; 
		src: url('./static/zhxs.ttf');
	}
	@font-face {
		font-family: Impacts; 
		src: url('https://box-mall.oss-cn-hangzhou.aliyuncs.com/static/font/impact-2.ttf');
	}
	@font-face {
		font-family: ZhanKuQingKeHuangYouTi; 
		src: url('https://box-mall.oss-cn-hangzhou.aliyuncs.com/static/font/ZhanKuQingKeHuangYouTi-2.ttf');
	}
	.no-data{
		font-size: 24rpx;
		text-align: center;
		padding: 10rpx 0 30rpx 0;
	}
	
	
	uni-swiper .uni-swiper-dot{
		width: 5rpx;
		height: 5rpx;
		background: rgba(16,16,16,0.2);
		border-radius: 50%;
	}
	uni-swiper .uni-swiper-dot-active{
		width: 16rpx;
		height: 5rpx;
		background: #FFFFFF;
		border-radius: 2rpx;
	}
</style>
